Loading...
Searching...
No Matches
Opm::BlackOilFoamParams< Scalar > Struct Template Reference

Struct holding the parameters for the BlackoilFoamModule class. More...

`#include <blackoilfoamparams.hpp>`

## Classes

struct | FoamCoefficients

## Public Types

using | TabulatedFunction = Tabulated1DFunction<Scalar>

## Public Member Functions

void | setNumSatRegions (unsigned numRegions)
| Specify the number of saturation regions.

## Public Attributes

std::vector< Scalar > | foamRockDensity_
std::vector< bool > | foamAllowDesorption_
std::vector< FoamCoefficients > | foamCoefficients_
std::vector< TabulatedFunction > | adsorbedFoamTable_
std::vector< TabulatedFunction > | gasMobilityMultiplierTable_
Opm::Phase | transport_phase_

## Detailed Description

template<class Scalar>
struct Opm::BlackOilFoamParams< Scalar >

Struct holding the parameters for the BlackoilFoamModule class.

The documentation for this struct was generated from the following files:

- opm/models/blackoil/blackoilfoamparams.hpp
- opm/models/blackoil/blackoilfoamparams.cpp